Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2836 - kernel won't compile: scsi.c & sg.c get undefined symbols
Summary: kernel won't compile: scsi.c & sg.c get undefined symbols
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-15 06:08 UTC by deane
Modified: 2018-02-23 17:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-19 21:43:29 UTC


Attachments (Terms of Use)

Description deane 1999-05-15 06:08:27 UTC
When I tried to rebuild the 2.2.5 kernel from the kernel
sources, I got the following undefined symbols in sg.c:

	SG_EMULATED_HOST
	SG_SET_TRANSFORM
	SG_GET_TRANSFORM

as well as this one in scsi.c:

	TYPE_ENCLOSURE

I was able to get around it by adding these constants to
sg.h and scsi.h, respectively.

Comment 1 Michael K. Johnson 1999-07-29 20:33:59 UTC
Since we clearly didn't have this problem out of the box,
we'll need your kernel configuration in order to look at
this.

Comment 2 Bill Nottingham 1999-08-19 21:43:59 UTC
closed; lack of input (probably fixed in 2.2.11, anyways...)

Comment 3 openshift-github-bot 2018-02-23 17:52:55 UTC
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/de1f96b19572eb86497f2195257d0769cb59898e
Merge pull request #2844 from sg00dwin/add-on-link-divider-issue2836

Automatic merge from submit-queue.

Remove padding from form-group-action buttons so they will have spacing consistency with links that are separated with .action-divider

Fixes https://github.com/openshift/origin-web-console/issues/2836


----


Note You need to log in before you can comment on or make changes to this bug.